List user API keys
curl --request GET \
--url https://api.partoo.co/v2/api_keys \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/api_keys"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.partoo.co/v2/api_keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-APIKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.partoo.co/v2/api_keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-APIKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.partoo.co/v2/api_keys")
.header("x-APIKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.partoo.co/v2/api_keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-APIKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"page": 1,
"max_page": 10,
"count": 287,
"api_keys": [
{
"id": 3245,
"label": "API key name",
"description": "API key for updating business name, and categories.",
"user_id": "5309c3a237bbc544d8e26737",
"user_name": "Perceval de Galles",
"user_role": "BUSINESS_MANAGER",
"user_type": "user",
"disabled": false,
"expiration_date": "2022-06-05",
"last_used_at": "2019-08-22 11:46:38.914467+00",
"created_by": "5309c3a237bbc544d8e26737",
"created_by_name": "John Smith",
"created_at": "2018-03-12 11:49:03.399475+00",
"revoked_by": "5309c3a237bbc544d8e26737",
"revoked_by_name": "John Smith",
"revoked_at": "2020-10-20 11:46:38.914467+00",
"ip_whitelist": [
"172.16.0.0/12",
"127.0.0.1"
],
"has_restricted_permissions": true,
"permissions": [
"business_edit",
"business_edit_name",
"business_edit_categories"
]
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}ApiKeys
List user API keys
This endpoint lets you list all the API keys you have access to.
For more details on how API keys work, and how to handle them securely, see the Security and API Key Usage guide.
GET
/
api_keys
List user API keys
curl --request GET \
--url https://api.partoo.co/v2/api_keys \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/api_keys"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/api_keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.partoo.co/v2/api_keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-APIKey: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.partoo.co/v2/api_keys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-APIKey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.partoo.co/v2/api_keys")
.header("x-APIKey", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.partoo.co/v2/api_keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-APIKey"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"page": 1,
"max_page": 10,
"count": 287,
"api_keys": [
{
"id": 3245,
"label": "API key name",
"description": "API key for updating business name, and categories.",
"user_id": "5309c3a237bbc544d8e26737",
"user_name": "Perceval de Galles",
"user_role": "BUSINESS_MANAGER",
"user_type": "user",
"disabled": false,
"expiration_date": "2022-06-05",
"last_used_at": "2019-08-22 11:46:38.914467+00",
"created_by": "5309c3a237bbc544d8e26737",
"created_by_name": "John Smith",
"created_at": "2018-03-12 11:49:03.399475+00",
"revoked_by": "5309c3a237bbc544d8e26737",
"revoked_by_name": "John Smith",
"revoked_at": "2020-10-20 11:46:38.914467+00",
"ip_whitelist": [
"172.16.0.0/12",
"127.0.0.1"
],
"has_restricted_permissions": true,
"permissions": [
"business_edit",
"business_edit_name",
"business_edit_categories"
]
}
]
}{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}Authorizations
Query Parameters
Controls whether permissions are filtered based on what the API key's user is actually allowed to access.
An API key can have broader permissions than its attached user's own permissions, however they won't be taken into account unless the user has them.
false(default) — The returnedpermissionslist is filtered down with only those the user has access to.true— The returnedpermissionslist is not filtered. All permissions are included in the response, regardless of what the user has access to.
Was this page helpful?